## org.biojavax.bio.seq
Class RichFeature.Template

    java.lang.Object
      org.biojava.bio.seq.Feature.Template
          org.biojavax.bio.seq.RichFeature.Template

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing interface:
  RichFeature

    public static class RichFeature.Template

extends Feature.Template

Added-value extension of Feature.Template including bits we're interested in, eg. featureRelationshipSet for relationships with other features, and rankedCrossRefs for lookups into other databases.

See Also:
  Serialized Form

Field Summary
`Set` `featureRelationshipSet`
`Set` `rankedCrossRefs`

Fields inherited from class org.biojava.bio.seq.Feature.Template
`annotation, location, source, sourceTerm, type, typeTerm`

Constructor Summary
`RichFeature.Template()`

Method Summary

Methods inherited from class org.biojava.bio.seq.Feature.Template
`clone, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### featureRelationshipSet

    public Set featureRelationshipSet

### rankedCrossRefs

    public Set rankedCrossRefs

Constructor Detail

### RichFeature.Template

    public RichFeature.Template()